Run multiple queries
Execute several queries within a single request. It is possible to send multiple query items, where each of the item can be either a regular query or a federated query. To trigger a federated query, one must specify more then one collection key in the item.
In: header
Path Parameters
The partition from which to execute the query.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
The list of queries to execute. It is possible to send multiple query items, where each of the item can be either a regular query or a federated query.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/partitions/string/v1/queries" \ -H "Content-Type: application/json" \ -d '{ "requests": [ { "collectionKeys": [ "string" ], "params": {} } ] }'{ "responses": [ { "collectionKeys": [ "string" ], "response": { "semanticQueryInfo": { "reasoning": "string", "originalQuery": "string", "query": { "id": "string", "and": [ null ] }, "filter": { "id": "string", "and": [ null ] } }, "hits": [ { "hitType": "RESOURCE", "score": 0.1, "resource": {}, "traversedProperties": { "property1": [ { "type": "address", "value": {}, "relationshipId": "string", "relationshipType": "string", "recordId": "string", "recordType": "string" } ], "property2": [ { "type": "address", "value": {}, "relationshipId": "string", "relationshipType": "string", "recordId": "string", "recordType": "string" } ] }, "highlighting": { "property1": [ { "type": "textual", "highlight": "string" } ], "property2": [ { "type": "textual", "highlight": "string" } ] } } ], "meta": { "numPages": 0, "page": 0, "perPage": 0, "total": 0, "filter": { "id": "string", "and": [ null ] } }, "aggregates": [ { "type": "LEXICAL", "path": "string", "aggregate": [ { "value": "string", "count": 0 } ] } ] } } ]}Retrieve a resource from a data partition GET
Retrieve a resource from a data partition.
Search accross resource or relationship collections in the data partition POST
Search across resource or relationship collections in the data partition. This endpoint only accepts federated search paths, which means that one using an operator it expects the collection type and collection key to be specified in the path. For example, `resources.<collectionKey>.<propertyKey>`. Filters, sorting, aggregations and highlighting use the same federated path syntax.